# The libbitcoin Manifesto
## Amir Taaki
### September 23, 2013
---


>"Tools for the People"
 
-- Cody Wilson, Defense Distributed

As humans, we share little in common. But that little we do share is the deep core of our being. We search for purpose. We are curious. And we thrive on new information. Our self-awareness, rationality and sapience are the high level features that make up a person. They are our capacity for good or evil.

As people, we need to ask ourselves whether we act with purpose, intent and ambition, ask how are we defining ourselves, and what are the values that our lives are promoting.

Are you taking concrete steps now to achieve your objective?

It's important we ask ourselves these questions, and decide which end of the spectrum between liberty and security we fixate on. A safe life of luxury, and comfort closed in by 4 walls. Or a life of freedom. Freedom to make love, play loud music, create art, wrestle naked, and raise confident kids that think.

In criticising the world we're born into, it's easy to point the finger at this or that politician or resign problems to circumstance. And with the perceived lack of power to concede the situation is unfixable and utterly broken. But if we want to know who to blame, we need only to look into a mirror. We support the situation. It is people, not rulers, who create the world of today.

Some of us conclude that the situation is just a normal state of affairs, and simply human nature. As if there were one human nature! And disregarding that we all evolve and grow as people in different directions during our lives.

Think of the values we are taught as children. How we are taught to behave as civic citizens. The phrases we are told by our parents, teachers and friends. The system is not just the state and corporations, it is a machine encompassing all spheres of life.

You might hear for example:

- “Respect for authority figures is a sign of maturity.”
- “Men with good jobs dress smart and respectably.”
- “Work hard for a good job and a good life. Retire young.”
- “Don't talk to strangers.”
- “Life is about money. Money makes the world go round.”

I was told all of these sentences in my life. That learning to accept authority is an inevitable part of growing up. That my character is defined by how I look, not how I act. That my single purpose is to be a work-slave. To avoid interaction with random unknowns outside my circle. And that responsibility starts and stops with myself.

All of them are bad values.

We are not born with these values. They are hard-wired into us from a young age. Luckily knowledge feeds the unlearning process and the internet is an unlearning tool.

Have you ever questioned the 15 years of our precious childhood from kindergarten to highschool. We attend a prison with fixed schedules and dinner at an allocated time. We're forced to wear uniforms. If you want to speak, you need to raise your hand. If you need the toilet, you must ask permission. And the lessons amount to little more than drilling information with the given promise of honours and qualifications.

The reward for faithfully jumping through all these hoops for 15 years is a worthless piece of paper that isn't even required for a job at McDonalds. And the workers still need training. Our children aren't taught how to cook a healthy meal, grow a garden or even a rudimentary concept of how to organise or lead groups of people without even a glimmer of understanding on how to resolve conflicts without violence. Or the principles of logic, and how to question an ideology. Kids are taught to sit at a desk and listen obediently as the world is packaged into neat boxes.

School is little more than a training camp for salaried drones designed to format young minds for a life of subservience, too stupid to question the system itself or the authority of those running it. We are not born with bad values. They are wired into us from a young age.

Lets talk about good values.

Responsibility is about fulfilling your needs to have a dignified existence, and then expanding that circle to the people around you. To help bring up and out the potential of other free people so that together we thrive. Community and collective action is absolutely essential if we want to rise up. The system thrives by separating people into isolated pockets who get their information from TV and their culture from corporations. United together, we are stronger.

## “Vires in numeris”

Independence and autonomy is the ability to act. If we always need third parties and central organisations to resolve disputes, solve our problems and coordinate us then we are doomed as a species. Central authorities are always a magnet for corruption and that will never change. Learn to be self reliant and make things happen.

Understanding is not an easy skill to develop, but it is very powerful. Being able to get into people's minds, to listen and be able to meet their needs is leadership. A leader serves and inspires people into action, whereas a ruler uses coercion. For all their grandeur and force, rulers cannot harness the real potential of people. Nobody thinks under duress.

We need assertive individuals who stand unyielding for what they believe in. If you know something is right, then fight for your vision. It will happen. The system feeds off passivity, and giving consent to its exclusive hold of force feeds the machine.

Lastly lets approach the world as artists, and bring creativity to our work. The world is diverse, colourful and vibrant. Humans are not meant to live in little boxes and grey concrete jungles. Live art and be creative. Your work is art. Good art makes people think and feel.

The role of good people is the vanguard of tomorrow.

>The penalty good men pay for indifference to public affairs is to be ruled by evil men.

-- Plato

It's an old story. David vs Goliath. Starfleet rebels vs galactic deathstar. Anarchist revolutionaries vs the fascist empire. Both sides have existed for centuries and the struggle continues. However in recent decades with the unique political situation, the internet and a dawning awareness among people, the balance of power is shifting in our favour this time around.

Humans can look to a future less dominated by the command hierarchies of the past, and more by thriving marketplaces of knowledge and merit.

I remember an amateur blue webpage in the summer of 2010 describing a p2p currency that “cannot be controlled by governments or central banks”. Extremely skeptical, I dived into the code and discovered an idea which burnt itself in my memory. My mind latched onto Bitcoin. I realised this unknown project is the future of money.

Bitcoin is a tool of resistance gifted to us by Satoshi. The idea has escaped and the idea of cryptocurrency will not be stopped. Bitcoin or some other cryptocurrency will succeed.

Bitcoin is about direct trade from peer to peer. The purest value transfer possible between 2 or more people. A direct and personal interaction over digital infrastructure. Welcome to the future of the black market. Real values, real people and uncorrupted markets.

The internet is a tool of freedom and self-determination. Meddling in its mechanics is destructive. Whenever a website is blocked, a protocol is corrupted at some low level or undesirable traffic shaping occurs then seismic ripples of censorship and destruction lead to degradation of the network. The internet is fundamental to humanity, and must be protected at all costs.

Bitcoin is no different, and must be kept pure. There are real risks to Bitcoin.

The protocol is not an axiomatic system fixed by Satoshi. It's been constantly changing, rapidly evolving and the pace is accelerating. The risks are more subtle and probable than a government demanding changes to the fundamentals of Bitcoin's protocol. The chilling effect of self censorship.

We don't even need to touch the protocol.

As Bitcoin grows, the inevitable specialisation is kicking in. The blockchain is moving towards specialised services, and the future of full Bitcoin nodes is on the server, not personal computers. We have to wake up, adapt and work with the reality rather than persisting in self denial.

If development is too centralised, with a small core infrastructure, then businesses will put real pressure to have features that destroy the integrity of the Bitcoin network. The excuse will be to protect themselves from liability. Self-censorship.

And what they demand does not have to be protocol changes. They will demand features in the software they use. Software which remains compatible with the network, but works against the interests of individuals, small businesses and the black market.

The possible malicious scenarios are endless. Stuff like p2p blacklists to create a 'legitimate' walled garden, or tracking technologies like large databases of IP addresses to triangulate where transactions came from. At the other end of the spectrum, is putting development effort into diversifying the ecosystem to protect against censorship and proxy relay nodes, anonymising mixers, small privacy tweaks and other technologies. That's where developers who believe in Bitcoin should devote time to. Corporations are powerful enough. To developers: serve your community.

A diversified Bitcoin of many wallets and implementations is a strong and pure Bitcoin. To protect the integrity of the network, we need to eliminate single points of failure. An inbred Bitcoin with the same software code everywhere shares the same weaknesses, and is susceptible to the same attacks. A single pathogen can wipe out a genetically homogenous population. And centralised software is vulnerable to the dictates of whoever controls development of that software code, and any dictates pressured onto them.

The implications of a diversified Bitcoin is a Bitcoin difficult to control. It also sets the protocol in stone, as nobody has sole power over the standard. Consensus from many parties is the way forwards.

The proper way to develop a standard is by having many different competing parties that require mutual interest and agreement to pass through changes. History is rife with abuse like when Internet Explorer dominated the browser market, and constantly broke the web standard by introducing proprietary extensions. Their motive was to swallow the market and lock users into Internet Explorer. The result was a broken web. A monopoly likes to dominate the market, shut out competitors and erect high barriers to entry.

A diversified ecosystem protects against feature-creep or bloat of the standard. Extra features go beyond the basic function of Bitcoin and so can result in over-complication rather than simple design. Viewed over a longer time period, extra or unnecessary features seem to creep into the system beyond the initial goals and the small code of 15,000 lines set by Satoshi. The result will be a Bitcoin that becomes increasingly difficult to understand or implement without a huge initial investment of resources, time and people. No single person will fully understand Bitcoin anymore, and development monopolies will be further enforced.

Linux is the most secure operating system because of its diversity. There is no single exploit that is universal across all versions of Linux. Bitcoin must evolve in the same way to become a resilient and tough system able to serve a global audience.

A massive standard is difficult to reimplement. Satoshi Nakamoto gifted us a small, focused and pure Bitcoin.

There is no need for compromise. Lets push for our complete vision. Bitcoin is here. We have the initiative and we make our stand now. We have the power and now is the time. Not later. Now.

Within a century of the printing press being invented, wars, social strife and revolutions erupted across Europe. Old kings, revered religious leaders and tyrannical rulers were removed from power. People could now read what was being written in their bibles. Mass printing of the bible was subversive. And what was written in their bibles, is not what they were being fed. In the face of hard evidence, people dispelled old notions of what their religion was saying.

Our economy will change. Bitcoin will rise as a fundamental technology. Seeking approval from the halls of Washington, and consent from the status quo is mere pandering as lapdogs at the feet of the system. Why would you willingly give your power away? Are you stupid?

Some people make the argument that throwing Bitcoin under the bus and corrupting the core of this technology is needed to help businesses which specialise in the exchange of failing government fiat paper-money with Bitcoins. Are we willing to sacrifice the purity of this tool for a few short term gains that primarily benefit US corporations? Do they serve the need of Bitcoin?

Others even go further, arguing we need the masses. That being a majority protects people from assaults. Typical herd mentality.

And that regulation (and the measures to implement them) are a typical process of acceptance. I have news for you: majorities have been slaughtered like pigs all throughout history. Being “pragmatic” is code speak for obedience and cowardice.

Bitcoin is the future. Act like you believe it. Act to prevent corruption of the system. Act to prevent Bitcoin becoming coopted in any way. We must preserve the principles of Satoshi Nakamoto.

We have the initiative and the power. You know the truth of the world. Stop supporting your own enemies. We don't need them. They need us. You are the one empowering them. Withdraw your consent. Withdraw your support. Don't accept their terms or try to win a game where they set the rules. Don't try to win your ruler's favour. Don't bother to beg for welfare or good treatment. Worst of all, don't help them hunt down your neighbour.

Time we stick our flag in the ground, and make our stand.

**Our task force will offer balanced, effective solutions for policy makers, law enforcement, regulators and the public.**

**[..]**

**The Task Force, which launched in August, is not solely focussed on child exploitation.**

**[..]**

**The report detailed how criminal and terrorist organisations have turned to digital currency to reap profits from drug trafficking, prostitution and the dissemination of child abuse images.**

--*Wired September article about Bitcoin Foundation joining a task force to combat child pornography.*

One day master told slave: “Do this small thing and everything is fine. Keep up the good work.”. The slave was happy because not much was asked so he started to create something cool. The master walked in a week later, and said “do this as well”. The slave was shocked. “But master, we had an agreement, you said I only needed to do this?”. Master responded “I changed my mind. You need to do this as well.”. The slave reluctantly agreed. At least it wasn't that bad.

Over time, the master more and more increased his demands on the slave. By now the slave had created something totally wonderful and was dependant on it, but the master controlled his work and owned him.

>The task of an activist is not to negotiate systems of power with as much personal integrity as possible- it's to dismantle those systems.

-- Lierra Keith

The road is long, and real work is needed. Less talk, more action. There are too few people in this world working on worthwhile things for the people. But eventhough the work-load is immense and daunting, there are concrete steps to achieve the global objective.

Truth happens. We will succeed. Don't wait around for others to take action. We must dive head first without regard for consequences, and break the inertia of passivity. When enough people do this, the real change will occur.

Fight for what you believe in. If you believe, and uphold a truth, then all your energy should be devoted to your objectives. Anytime you are accepting compromise, you are acting against your objective. None of us are pure. We are flawed and imperfect. But as good people we must strive for uncomplicated directness in our actions. Our actions must be transparent in motive and pure in reasoning.

The power is within us. It always has been.